[API Reference](../README.md) > [Locking4ReputationLockEventResult](../interfaces/Locking4ReputationLockEventResult.md)

# Interface: Locking4ReputationLockEventResult

## Hierarchy

**Locking4ReputationLockEventResult**

## Index

### Properties

* [_amount](Locking4ReputationLockEventResult.md#_amount)
* [_locker](Locking4ReputationLockEventResult.md#_locker)
* [_lockingId](Locking4ReputationLockEventResult.md#_lockingId)
* [_period](Locking4ReputationLockEventResult.md#_period)

---

## Properties

<a id="_amount"></a>

###  _amount

**● _amount**: *`BigNumber`*

*Defined in [wrappers/locking4Reputation.ts:393](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L393)*

in Wei

___
<a id="_locker"></a>

###  _locker

**● _locker**: *[Address](../#Address)*

*Defined in [wrappers/locking4Reputation.ts:398](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L398)*

indexed

___
<a id="_lockingId"></a>

###  _lockingId

**● _lockingId**: *[Hash](../#Hash)*

*Defined in [wrappers/locking4Reputation.ts:389](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L389)*

indexed

___
<a id="_period"></a>

###  _period

**● _period**: *`BigNumber`*

*Defined in [wrappers/locking4Reputation.ts:394](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L394)*

___

